%global momorel 1
%global emacsver 22.1
%global xemacsver 21.4.20
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages
%global mixi_el_rev 1.157
%global cvs_date 20070725

Summary: API library for accessing to mixi
Name: elisp-mixi
Version: 0.%{mixi_el_rev}
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Source0: mixi-%{cvs_date}.tar.bz2
Patch0: elisp-mixi-sb-mixi.patch
URL: http://cvs.m17n.org/viewcvs/root/mixi/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: w3m-emacs, w3m-xemacs
BuildPreReq: wl-emacs, wl-xemacs
BuildPreReq: riece-emacs, riece-xemacs
BuildPreReq: automake, autoconf

%description
This elisp provides API libraries for accessing to mixi.
See <URL:http://mixi.jp/view_community.pl?id=1596390>.

%package -n mixi-emacs
Summary: API library for accessing to mixi
Group: Applications/Editors
Requires: emacs >= %{emacsver}
Requires: w3m-emacs

%description -n mixi-emacs
This elisp provides API libraries for accessing to mixi.

%package -n mixi-xemacs
Summary: API library for accessing to mixi
Group: Applications/Editors
Requires: xemacs >= %{xemacsver}
Requires: w3m-xemacs

%description -n mixi-xemacs
This elisp provides API libraries for accessing to mixi.

%prep
%setup -q -n mixi-%{cvs_date}
%patch -p1

%build
autoreconf -fi

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# emacs
%configure --with-emacs=%{_bindir}/emacs \
	   --with-lispdir=%{e_sitedir} \
	   --with-shimbun=yes \
	   --with-gnus=yes \
	   --with-wl=yes \
	   --with-riece=yes
%__make EMACS=%{_bindir}/emacs
%__make EMACS=%{_bindir}/emacs \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     lispdir=%{buildroot}%{e_sitedir} \
     install

%__make distclean

# xemacs
%configure --with-xemacs=%{_bindir}/xemacs \
	   --with-packagedir=%{sitepdir} \
	   --with-shimbun=yes \
	   --with-gnus=no \
	   --with-wl=yes \
	   --with-riece=yes
%__make EMACS=%{_bindir}/xemacs
%__make EMACS=%{_bindif}/xemacs \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     PACKAGEDIR=%{buildroot}%{sitepdir} \
     install-package

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL* NEWS README
%doc contrib/atom.cgi contrib/atom.sh

%files -n mixi-emacs
%defattr(-, root, root)
%{e_sitedir}/mixi

%files -n mixi-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/mixi

%changelog
* Mon Jul 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.157-1m)
- update to revision 1.157

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.153-2m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.153-1m)
- update to revision 0.1.153

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.150-2m)
- rebuild against emacs-22.1

* Sat Mar 31 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.150-1m)
- update to revision 0.1.150
- use autoreconf and configure

* Sat Mar 24 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.1.147-3m)
- add BuildPreReq

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.147-2m)
- rebuild against emacs-22.0.96

* Wed Mar 21 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.147-1m)
- update to revision 0.1.147

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.140-3m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.140-2m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.140-1m)
- update to revision 0.1.140

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.77-4m)
- rebuild against emacs-22.0.93

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.1.77-3m)
- add BuildPreReq: emacs, xemacs, w3m-emacs, w3m-xemacs

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.77-2m)
- rebuild against emacs-22.0.92

* Mon Dec 18 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.77-1m)
- update to revision 0.1.77

* Sun Nov 26 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.54-1m)
- update to revision 0.1.54

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.48-4m)
- rebuild against emacs-22.0.91

* Tue Nov 21 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.48-3m)
- update sb-mixi.el

* Wed Nov 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.48-2m) 
- add Patch0: elisp-mixi-sb-mixi.patch

* Wed Nov 15 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.48-1m) 
- first packaging
